#!/usr/bin/perl
#

my(%config);
my(%routersconf);

sub readinfo($) {
	my($f) = $_[0];
	my($s) = '';
	my($k,$v);

	%config = ();
	%routersconf = ();
	open INFO, "<$f" or return;
	while( <INFO> ) {
		next if( /^\s*#/ );
		if( /\[(\S+)\]/ ) { $s = $1; next; }
		if( /^\s*(\S+)\s*=\s*(.*)/ ) {
			($k,$v) = ($1,$2);
			if($s =~ /info/i ) {
				$config{$k} = $v;
			} elsif( $s =~ /routers2?\./i ) {
				$routersconf{$k} = $v;
			}
		}
	}
	close INFO;
}

print "<HTML><HEAD><TITLE>Alternate Icon Sets</TITLE></HEAD>\n";
print "<BODY><H1>Alternate Icon Sets</H1>\n";
print "<TABLE width=100% border=1><TR><Th>Example</Th><Th>Name</Th><Th>Author</Th><Th>routers2.conf</Th><th>Comments</Th></Tr>\n";

foreach my $dir ( glob( "*" ) ) {
	next if(! -d $dir or ! -r "$dir/info.txt" );
	readinfo( "$dir/info.txt" );
	print "<TR><TD valign=top><IMG src=$dir/mainmenu.gif height=20 width=100 alt=$dir></TD>";
	print "<TD valign=top>$dir</TD>";
	print "<TD valign=top>".$config{'author'}."</TD>";
	print "<TD valign=top>";
	foreach ( keys %routersconf ) {
		print "$_&nbsp;=&nbsp;".$routersconf{$_}."<BR>";
	}
	print "</TD>";
	print "<TD valign=top>".$config{'notes'}."</TD>";
	print "</TR>\n";
}

print "</TABLE><BR><SMALL>routers2.cgi</SMALL></BODY></HTML>\n";
exit 0;	
